Subject: Re: [PATCH 02/03] net/bridge: add support for EtherIP devices

From: Joerg Roedel <[email-masked]>
Date: Mon, 25 Sep 2006 16:54:29 +0200

On Mon, Sep 25, 2006 at 07:40:09AM -0700, Stephen Hemminger wrote:
> 
> To get a list of all EtherIP devices, just maintain a linked list
> in the private device information. Use list macros, it isn't hard.

I use lists in the driver to maintain the list. The problem is to get
such a list in userspace in a safe way (the way over SIOCDEVPRIVATE
ioctls is not safe).